Merge from gnulib.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module binary-io:
45 # Code from module c-ctype:
46 # Code from module c-strcase:
47 # Code from module careadlinkat:
48 # Code from module clock-time:
49 # Code from module close-stream:
50 # Code from module crypto/md5:
51 # Code from module crypto/sha1:
52 # Code from module crypto/sha256:
53 # Code from module crypto/sha512:
54 # Code from module dirent:
55 # Code from module dosname:
56 # Code from module dtoastr:
57 # Code from module dtotimespec:
58 # Code from module dup2:
59 # Code from module environ:
60 # Code from module errno:
61 # Code from module euidaccess:
62 # Code from module execinfo:
63 # Code from module extensions:
64 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
65 # Code from module extern-inline:
66 # Code from module faccessat:
67 # Code from module fcntl:
68 # Code from module fcntl-h:
69 # Code from module fdatasync:
70 # Code from module fdopendir:
71 # Code from module filemode:
72 # Code from module fpending:
73 # Code from module fstatat:
74 # Code from module fsync:
75 # Code from module getdtablesize:
76 # Code from module getgroups:
77 # Code from module getloadavg:
78 # Code from module getopt-gnu:
79 # Code from module getopt-posix:
80 # Code from module gettext-h:
81 # Code from module gettime:
82 # Code from module gettimeofday:
83 # Code from module group-member:
84 # Code from module include_next:
85 # Code from module intprops:
86 # Code from module inttypes-incomplete:
87 # Code from module largefile:
88 AC_REQUIRE([AC_SYS_LARGEFILE])
89 # Code from module lstat:
90 # Code from module manywarnings:
91 # Code from module memrchr:
92 # Code from module mkostemp:
93 # Code from module mktime:
94 # Code from module multiarch:
95 # Code from module nocrash:
96 # Code from module openat-h:
97 # Code from module pathmax:
98 # Code from module pipe2:
99 # Code from module pselect:
100 # Code from module pthread_sigmask:
101 # Code from module putenv:
102 # Code from module qacl:
103 # Code from module readlink:
104 # Code from module readlinkat:
105 # Code from module root-uid:
106 # Code from module secure_getenv:
107 # Code from module sig2str:
108 # Code from module signal-h:
109 # Code from module snippet/_Noreturn:
110 # Code from module snippet/arg-nonnull:
111 # Code from module snippet/c++defs:
112 # Code from module snippet/warn-on-use:
113 # Code from module socklen:
114 # Code from module ssize_t:
115 # Code from module stat:
116 # Code from module stat-time:
117 # Code from module stdalign:
118 # Code from module stdarg:
119 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
120 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
121 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
122 dnl shouldn't hurt, though installers are on their own to set c99 mode.
123 gl_PROG_CC_C99
124 # Code from module stdbool:
125 # Code from module stddef:
126 # Code from module stdint:
127 # Code from module stdio:
128 # Code from module stdlib:
129 # Code from module strftime:
130 # Code from module string:
131 # Code from module strtoimax:
132 # Code from module strtoll:
133 # Code from module strtoull:
134 # Code from module strtoumax:
135 # Code from module symlink:
136 # Code from module sys_select:
137 # Code from module sys_stat:
138 # Code from module sys_time:
139 # Code from module tempname:
140 # Code from module time:
141 # Code from module time_r:
142 # Code from module timer-time:
143 # Code from module timespec:
144 # Code from module timespec-add:
145 # Code from module timespec-sub:
146 # Code from module u64:
147 # Code from module unistd:
148 # Code from module unsetenv:
149 # Code from module utimens:
150 # Code from module verify:
151 # Code from module warnings:
152 # Code from module xalloc-oversized:
153 ])
154
155 # This macro should be invoked from ./configure.ac, in the section
156 # "Check for header files, types and library functions".
157 AC_DEFUN([gl_INIT],
158 [
159 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
160 gl_cond_libtool=false
161 gl_libdeps=
162 gl_ltlibdeps=
163 gl_m4_base='m4'
164 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
165 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
166 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
167 m4_pushdef([gl_LIBSOURCES_LIST], [])
168 m4_pushdef([gl_LIBSOURCES_DIR], [])
169 gl_COMMON
170 gl_source_base='lib'
171 gl_FUNC_ALLOCA
172 AC_CHECK_FUNCS_ONCE([readlinkat])
173 gl_CLOCK_TIME
174 gl_CLOSE_STREAM
175 gl_MODULE_INDICATOR([close-stream])
176 gl_MD5
177 gl_SHA1
178 gl_SHA256
179 gl_SHA512
180 gl_DIRENT_H
181 AC_REQUIRE([gl_C99_STRTOLD])
182 gl_FUNC_DUP2
183 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
184 AC_LIBOBJ([dup2])
185 gl_PREREQ_DUP2
186 fi
187 gl_UNISTD_MODULE_INDICATOR([dup2])
188 gl_ENVIRON
189 gl_UNISTD_MODULE_INDICATOR([environ])
190 gl_HEADER_ERRNO_H
191 gl_EXECINFO_H
192 AC_REQUIRE([gl_EXTERN_INLINE])
193 gl_FUNC_FACCESSAT
194 if test $HAVE_FACCESSAT = 0; then
195 AC_LIBOBJ([faccessat])
196 gl_PREREQ_FACCESSAT
197 fi
198 gl_MODULE_INDICATOR([faccessat])
199 gl_UNISTD_MODULE_INDICATOR([faccessat])
200 gl_FUNC_FCNTL
201 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
202 AC_LIBOBJ([fcntl])
203 fi
204 gl_FCNTL_MODULE_INDICATOR([fcntl])
205 gl_FCNTL_H
206 gl_FUNC_FDATASYNC
207 if test $HAVE_FDATASYNC = 0; then
208 AC_LIBOBJ([fdatasync])
209 fi
210 gl_UNISTD_MODULE_INDICATOR([fdatasync])
211 gl_FUNC_FDOPENDIR
212 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
213 AC_LIBOBJ([fdopendir])
214 fi
215 gl_DIRENT_MODULE_INDICATOR([fdopendir])
216 gl_MODULE_INDICATOR([fdopendir])
217 gl_FILEMODE
218 gl_FUNC_FPENDING
219 if test $gl_cv_func___fpending = no; then
220 AC_LIBOBJ([fpending])
221 gl_PREREQ_FPENDING
222 fi
223 gl_FUNC_FSTATAT
224 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
225 AC_LIBOBJ([fstatat])
226 fi
227 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
228 gl_FUNC_FSYNC
229 if test $HAVE_FSYNC = 0; then
230 AC_LIBOBJ([fsync])
231 gl_PREREQ_FSYNC
232 fi
233 gl_UNISTD_MODULE_INDICATOR([fsync])
234 gl_GETLOADAVG
235 if test $HAVE_GETLOADAVG = 0; then
236 AC_LIBOBJ([getloadavg])
237 gl_PREREQ_GETLOADAVG
238 fi
239 gl_STDLIB_MODULE_INDICATOR([getloadavg])
240 gl_FUNC_GETOPT_GNU
241 if test $REPLACE_GETOPT = 1; then
242 AC_LIBOBJ([getopt])
243 AC_LIBOBJ([getopt1])
244 gl_PREREQ_GETOPT
245 dnl Arrange for unistd.h to include getopt.h.
246 GNULIB_GL_UNISTD_H_GETOPT=1
247 fi
248 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
249 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
250 gl_FUNC_GETOPT_POSIX
251 if test $REPLACE_GETOPT = 1; then
252 AC_LIBOBJ([getopt])
253 AC_LIBOBJ([getopt1])
254 gl_PREREQ_GETOPT
255 dnl Arrange for unistd.h to include getopt.h.
256 GNULIB_GL_UNISTD_H_GETOPT=1
257 fi
258 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
259 gl_GETTIME
260 gl_FUNC_GETTIMEOFDAY
261 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
262 AC_LIBOBJ([gettimeofday])
263 gl_PREREQ_GETTIMEOFDAY
264 fi
265 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
266 gl_INTTYPES_INCOMPLETE
267 AC_REQUIRE([gl_LARGEFILE])
268 gl_FUNC_LSTAT
269 if test $REPLACE_LSTAT = 1; then
270 AC_LIBOBJ([lstat])
271 gl_PREREQ_LSTAT
272 fi
273 gl_SYS_STAT_MODULE_INDICATOR([lstat])
274 gl_FUNC_MEMRCHR
275 if test $ac_cv_func_memrchr = no; then
276 AC_LIBOBJ([memrchr])
277 gl_PREREQ_MEMRCHR
278 fi
279 gl_STRING_MODULE_INDICATOR([memrchr])
280 gl_FUNC_MKOSTEMP
281 if test $HAVE_MKOSTEMP = 0; then
282 AC_LIBOBJ([mkostemp])
283 gl_PREREQ_MKOSTEMP
284 fi
285 gl_MODULE_INDICATOR([mkostemp])
286 gl_STDLIB_MODULE_INDICATOR([mkostemp])
287 gl_FUNC_MKTIME
288 if test $REPLACE_MKTIME = 1; then
289 AC_LIBOBJ([mktime])
290 gl_PREREQ_MKTIME
291 fi
292 gl_TIME_MODULE_INDICATOR([mktime])
293 gl_MULTIARCH
294 gl_FUNC_PIPE2
295 gl_UNISTD_MODULE_INDICATOR([pipe2])
296 gl_FUNC_PSELECT
297 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
298 AC_LIBOBJ([pselect])
299 fi
300 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
301 gl_FUNC_PTHREAD_SIGMASK
302 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
303 AC_LIBOBJ([pthread_sigmask])
304 gl_PREREQ_PTHREAD_SIGMASK
305 fi
306 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
307 gl_FUNC_PUTENV
308 if test $REPLACE_PUTENV = 1; then
309 AC_LIBOBJ([putenv])
310 gl_PREREQ_PUTENV
311 fi
312 gl_STDLIB_MODULE_INDICATOR([putenv])
313 gl_FUNC_ACL
314 gl_FUNC_READLINK
315 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
316 AC_LIBOBJ([readlink])
317 gl_PREREQ_READLINK
318 fi
319 gl_UNISTD_MODULE_INDICATOR([readlink])
320 gl_FUNC_READLINKAT
321 if test $HAVE_READLINKAT = 0; then
322 AC_LIBOBJ([readlinkat])
323 fi
324 gl_UNISTD_MODULE_INDICATOR([readlinkat])
325 gl_FUNC_SIG2STR
326 if test $ac_cv_func_sig2str = no; then
327 AC_LIBOBJ([sig2str])
328 gl_PREREQ_SIG2STR
329 fi
330 gl_SIGNAL_H
331 gl_TYPE_SOCKLEN_T
332 gt_TYPE_SSIZE_T
333 gl_STAT_TIME
334 gl_STAT_BIRTHTIME
335 gl_STDALIGN_H
336 gl_STDARG_H
337 AM_STDBOOL_H
338 gl_STDDEF_H
339 gl_STDINT_H
340 gl_STDIO_H
341 gl_STDLIB_H
342 gl_FUNC_GNU_STRFTIME
343 gl_HEADER_STRING_H
344 gl_FUNC_STRTOIMAX
345 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
346 AC_LIBOBJ([strtoimax])
347 gl_PREREQ_STRTOIMAX
348 fi
349 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
350 gl_FUNC_STRTOUMAX
351 if test $ac_cv_func_strtoumax = no; then
352 AC_LIBOBJ([strtoumax])
353 gl_PREREQ_STRTOUMAX
354 fi
355 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
356 gl_FUNC_SYMLINK
357 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
358 AC_LIBOBJ([symlink])
359 fi
360 gl_UNISTD_MODULE_INDICATOR([symlink])
361 gl_HEADER_SYS_SELECT
362 AC_PROG_MKDIR_P
363 gl_HEADER_SYS_STAT_H
364 AC_PROG_MKDIR_P
365 gl_HEADER_SYS_TIME_H
366 AC_PROG_MKDIR_P
367 gl_HEADER_TIME_H
368 gl_TIME_R
369 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
370 AC_LIBOBJ([time_r])
371 gl_PREREQ_TIME_R
372 fi
373 gl_TIME_MODULE_INDICATOR([time_r])
374 gl_TIMER_TIME
375 gl_TIMESPEC
376 gl_UNISTD_H
377 gl_FUNC_UNSETENV
378 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
379 AC_LIBOBJ([unsetenv])
380 gl_PREREQ_UNSETENV
381 fi
382 gl_STDLIB_MODULE_INDICATOR([unsetenv])
383 gl_UTIMENS
384 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
385 gl_gnulib_enabled_dosname=false
386 gl_gnulib_enabled_euidaccess=false
387 gl_gnulib_enabled_getdtablesize=false
388 gl_gnulib_enabled_getgroups=false
389 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
390 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
391 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
392 gl_gnulib_enabled_pathmax=false
393 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
394 gl_gnulib_enabled_secure_getenv=false
395 gl_gnulib_enabled_stat=false
396 gl_gnulib_enabled_strtoll=false
397 gl_gnulib_enabled_strtoull=false
398 gl_gnulib_enabled_tempname=false
399 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
400 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
401 {
402 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
403 AC_LIBOBJ([openat-proc])
404 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
405 fi
406 }
407 func_gl_gnulib_m4code_dosname ()
408 {
409 if ! $gl_gnulib_enabled_dosname; then
410 gl_gnulib_enabled_dosname=true
411 fi
412 }
413 func_gl_gnulib_m4code_euidaccess ()
414 {
415 if ! $gl_gnulib_enabled_euidaccess; then
416 gl_FUNC_EUIDACCESS
417 if test $HAVE_EUIDACCESS = 0; then
418 AC_LIBOBJ([euidaccess])
419 gl_PREREQ_EUIDACCESS
420 fi
421 gl_UNISTD_MODULE_INDICATOR([euidaccess])
422 gl_gnulib_enabled_euidaccess=true
423 if test $HAVE_EUIDACCESS = 0; then
424 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
425 fi
426 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
427 if test $HAVE_EUIDACCESS = 0; then
428 func_gl_gnulib_m4code_stat
429 fi
430 fi
431 }
432 func_gl_gnulib_m4code_getdtablesize ()
433 {
434 if ! $gl_gnulib_enabled_getdtablesize; then
435 gl_FUNC_GETDTABLESIZE
436 if test $HAVE_GETDTABLESIZE = 0; then
437 AC_LIBOBJ([getdtablesize])
438 gl_PREREQ_GETDTABLESIZE
439 fi
440 gl_UNISTD_MODULE_INDICATOR([getdtablesize])
441 gl_gnulib_enabled_getdtablesize=true
442 fi
443 }
444 func_gl_gnulib_m4code_getgroups ()
445 {
446 if ! $gl_gnulib_enabled_getgroups; then
447 gl_FUNC_GETGROUPS
448 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
449 AC_LIBOBJ([getgroups])
450 fi
451 gl_UNISTD_MODULE_INDICATOR([getgroups])
452 gl_gnulib_enabled_getgroups=true
453 fi
454 }
455 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
456 {
457 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
458 AC_SUBST([LIBINTL])
459 AC_SUBST([LTLIBINTL])
460 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
461 fi
462 }
463 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
464 {
465 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
466 gl_FUNC_GROUP_MEMBER
467 if test $HAVE_GROUP_MEMBER = 0; then
468 AC_LIBOBJ([group-member])
469 gl_PREREQ_GROUP_MEMBER
470 fi
471 gl_UNISTD_MODULE_INDICATOR([group-member])
472 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
473 if test $HAVE_GROUP_MEMBER = 0; then
474 func_gl_gnulib_m4code_getgroups
475 fi
476 if test $HAVE_GROUP_MEMBER = 0; then
477 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
478 fi
479 fi
480 }
481 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
482 {
483 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
484 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
485 fi
486 }
487 func_gl_gnulib_m4code_pathmax ()
488 {
489 if ! $gl_gnulib_enabled_pathmax; then
490 gl_PATHMAX
491 gl_gnulib_enabled_pathmax=true
492 fi
493 }
494 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
495 {
496 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
497 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
498 fi
499 }
500 func_gl_gnulib_m4code_secure_getenv ()
501 {
502 if ! $gl_gnulib_enabled_secure_getenv; then
503 gl_FUNC_SECURE_GETENV
504 if test $HAVE_SECURE_GETENV = 0; then
505 AC_LIBOBJ([secure_getenv])
506 gl_PREREQ_SECURE_GETENV
507 fi
508 gl_STDLIB_MODULE_INDICATOR([secure_getenv])
509 gl_gnulib_enabled_secure_getenv=true
510 fi
511 }
512 func_gl_gnulib_m4code_stat ()
513 {
514 if ! $gl_gnulib_enabled_stat; then
515 gl_FUNC_STAT
516 if test $REPLACE_STAT = 1; then
517 AC_LIBOBJ([stat])
518 gl_PREREQ_STAT
519 fi
520 gl_SYS_STAT_MODULE_INDICATOR([stat])
521 gl_gnulib_enabled_stat=true
522 if test $REPLACE_STAT = 1; then
523 func_gl_gnulib_m4code_dosname
524 fi
525 if test $REPLACE_STAT = 1; then
526 func_gl_gnulib_m4code_pathmax
527 fi
528 fi
529 }
530 func_gl_gnulib_m4code_strtoll ()
531 {
532 if ! $gl_gnulib_enabled_strtoll; then
533 gl_FUNC_STRTOLL
534 if test $HAVE_STRTOLL = 0; then
535 AC_LIBOBJ([strtoll])
536 gl_PREREQ_STRTOLL
537 fi
538 gl_STDLIB_MODULE_INDICATOR([strtoll])
539 gl_gnulib_enabled_strtoll=true
540 fi
541 }
542 func_gl_gnulib_m4code_strtoull ()
543 {
544 if ! $gl_gnulib_enabled_strtoull; then
545 gl_FUNC_STRTOULL
546 if test $HAVE_STRTOULL = 0; then
547 AC_LIBOBJ([strtoull])
548 gl_PREREQ_STRTOULL
549 fi
550 gl_STDLIB_MODULE_INDICATOR([strtoull])
551 gl_gnulib_enabled_strtoull=true
552 fi
553 }
554 func_gl_gnulib_m4code_tempname ()
555 {
556 if ! $gl_gnulib_enabled_tempname; then
557 gl_FUNC_GEN_TEMPNAME
558 gl_gnulib_enabled_tempname=true
559 func_gl_gnulib_m4code_secure_getenv
560 fi
561 }
562 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
563 {
564 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
565 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
566 fi
567 }
568 if test $HAVE_FACCESSAT = 0; then
569 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
570 fi
571 if test $HAVE_FACCESSAT = 0; then
572 func_gl_gnulib_m4code_dosname
573 fi
574 if test $HAVE_FACCESSAT = 0; then
575 func_gl_gnulib_m4code_euidaccess
576 fi
577 if test $HAVE_FACCESSAT = 0; then
578 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
579 fi
580 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
581 func_gl_gnulib_m4code_getdtablesize
582 fi
583 if test $HAVE_FDOPENDIR = 0; then
584 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
585 fi
586 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
587 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
588 fi
589 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
590 func_gl_gnulib_m4code_dosname
591 fi
592 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
593 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
594 fi
595 if test $REPLACE_GETOPT = 1; then
596 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
597 fi
598 if test $REPLACE_LSTAT = 1; then
599 func_gl_gnulib_m4code_dosname
600 fi
601 if test $REPLACE_LSTAT = 1; then
602 func_gl_gnulib_m4code_stat
603 fi
604 if test $HAVE_MKOSTEMP = 0; then
605 func_gl_gnulib_m4code_tempname
606 fi
607 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
608 func_gl_gnulib_m4code_stat
609 fi
610 if test $HAVE_READLINKAT = 0; then
611 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
612 fi
613 if test $HAVE_READLINKAT = 0; then
614 func_gl_gnulib_m4code_dosname
615 fi
616 if test $HAVE_READLINKAT = 0; then
617 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
618 fi
619 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
620 func_gl_gnulib_m4code_strtoll
621 fi
622 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
623 func_gl_gnulib_m4code_strtoull
624 fi
625 m4_pattern_allow([^gl_GNULIB_ENABLED_])
626 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
627 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
628 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
629 AM_CONDITIONAL([gl_GNULIB_ENABLED_getdtablesize], [$gl_gnulib_enabled_getdtablesize])
630 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
631 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
632 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
633 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
634 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
635 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
636 AM_CONDITIONAL([gl_GNULIB_ENABLED_secure_getenv], [$gl_gnulib_enabled_secure_getenv])
637 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
638 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
639 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
640 AM_CONDITIONAL([gl_GNULIB_ENABLED_tempname], [$gl_gnulib_enabled_tempname])
641 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
642 # End of code from modules
643 m4_ifval(gl_LIBSOURCES_LIST, [
644 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
645 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
646 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
647 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
648 exit 1
649 fi
650 done])dnl
651 m4_if(m4_sysval, [0], [],
652 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
653 ])
654 m4_popdef([gl_LIBSOURCES_DIR])
655 m4_popdef([gl_LIBSOURCES_LIST])
656 m4_popdef([AC_LIBSOURCES])
657 m4_popdef([AC_REPLACE_FUNCS])
658 m4_popdef([AC_LIBOBJ])
659 AC_CONFIG_COMMANDS_PRE([
660 gl_libobjs=
661 gl_ltlibobjs=
662 if test -n "$gl_LIBOBJS"; then
663 # Remove the extension.
664 sed_drop_objext='s/\.o$//;s/\.obj$//'
665 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
666 gl_libobjs="$gl_libobjs $i.$ac_objext"
667 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
668 done
669 fi
670 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
671 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
672 ])
673 gltests_libdeps=
674 gltests_ltlibdeps=
675 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
676 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
677 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
678 m4_pushdef([gltests_LIBSOURCES_LIST], [])
679 m4_pushdef([gltests_LIBSOURCES_DIR], [])
680 gl_COMMON
681 gl_source_base='tests'
682 changequote(,)dnl
683 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
684 changequote([, ])dnl
685 AC_SUBST([gltests_WITNESS])
686 gl_module_indicator_condition=$gltests_WITNESS
687 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
688 m4_pattern_allow([^gl_GNULIB_ENABLED_])
689 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
690 m4_ifval(gltests_LIBSOURCES_LIST, [
691 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
692 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
693 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
694 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
695 exit 1
696 fi
697 done])dnl
698 m4_if(m4_sysval, [0], [],
699 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
700 ])
701 m4_popdef([gltests_LIBSOURCES_DIR])
702 m4_popdef([gltests_LIBSOURCES_LIST])
703 m4_popdef([AC_LIBSOURCES])
704 m4_popdef([AC_REPLACE_FUNCS])
705 m4_popdef([AC_LIBOBJ])
706 AC_CONFIG_COMMANDS_PRE([
707 gltests_libobjs=
708 gltests_ltlibobjs=
709 if test -n "$gltests_LIBOBJS"; then
710 # Remove the extension.
711 sed_drop_objext='s/\.o$//;s/\.obj$//'
712 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
713 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
714 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
715 done
716 fi
717 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
718 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
719 ])
720 LIBGNU_LIBDEPS="$gl_libdeps"
721 AC_SUBST([LIBGNU_LIBDEPS])
722 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
723 AC_SUBST([LIBGNU_LTLIBDEPS])
724 ])
725
726 # Like AC_LIBOBJ, except that the module name goes
727 # into gl_LIBOBJS instead of into LIBOBJS.
728 AC_DEFUN([gl_LIBOBJ], [
729 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
730 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
731 ])
732
733 # Like AC_REPLACE_FUNCS, except that the module name goes
734 # into gl_LIBOBJS instead of into LIBOBJS.
735 AC_DEFUN([gl_REPLACE_FUNCS], [
736 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
737 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
738 ])
739
740 # Like AC_LIBSOURCES, except the directory where the source file is
741 # expected is derived from the gnulib-tool parameterization,
742 # and alloca is special cased (for the alloca-opt module).
743 # We could also entirely rely on EXTRA_lib..._SOURCES.
744 AC_DEFUN([gl_LIBSOURCES], [
745 m4_foreach([_gl_NAME], [$1], [
746 m4_if(_gl_NAME, [alloca.c], [], [
747 m4_define([gl_LIBSOURCES_DIR], [lib])
748 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
749 ])
750 ])
751 ])
752
753 # Like AC_LIBOBJ, except that the module name goes
754 # into gltests_LIBOBJS instead of into LIBOBJS.
755 AC_DEFUN([gltests_LIBOBJ], [
756 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
757 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
758 ])
759
760 # Like AC_REPLACE_FUNCS, except that the module name goes
761 # into gltests_LIBOBJS instead of into LIBOBJS.
762 AC_DEFUN([gltests_REPLACE_FUNCS], [
763 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
764 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
765 ])
766
767 # Like AC_LIBSOURCES, except the directory where the source file is
768 # expected is derived from the gnulib-tool parameterization,
769 # and alloca is special cased (for the alloca-opt module).
770 # We could also entirely rely on EXTRA_lib..._SOURCES.
771 AC_DEFUN([gltests_LIBSOURCES], [
772 m4_foreach([_gl_NAME], [$1], [
773 m4_if(_gl_NAME, [alloca.c], [], [
774 m4_define([gltests_LIBSOURCES_DIR], [tests])
775 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
776 ])
777 ])
778 ])
779
780 # This macro records the list of files which have been installed by
781 # gnulib-tool and may be removed by future gnulib-tool invocations.
782 AC_DEFUN([gl_FILE_LIST], [
783 build-aux/snippet/_Noreturn.h
784 build-aux/snippet/arg-nonnull.h
785 build-aux/snippet/c++defs.h
786 build-aux/snippet/warn-on-use.h
787 lib/acl-errno-valid.c
788 lib/acl-internal.h
789 lib/acl.h
790 lib/acl_entries.c
791 lib/alloca.in.h
792 lib/allocator.c
793 lib/allocator.h
794 lib/at-func.c
795 lib/binary-io.c
796 lib/binary-io.h
797 lib/c-ctype.c
798 lib/c-ctype.h
799 lib/c-strcase.h
800 lib/c-strcasecmp.c
801 lib/c-strncasecmp.c
802 lib/careadlinkat.c
803 lib/careadlinkat.h
804 lib/close-stream.c
805 lib/close-stream.h
806 lib/dirent.in.h
807 lib/dosname.h
808 lib/dtoastr.c
809 lib/dtotimespec.c
810 lib/dup2.c
811 lib/errno.in.h
812 lib/euidaccess.c
813 lib/execinfo.c
814 lib/execinfo.in.h
815 lib/faccessat.c
816 lib/fcntl.c
817 lib/fcntl.in.h
818 lib/fdatasync.c
819 lib/fdopendir.c
820 lib/file-has-acl.c
821 lib/filemode.c
822 lib/filemode.h
823 lib/fpending.c
824 lib/fpending.h
825 lib/fstatat.c
826 lib/fsync.c
827 lib/ftoastr.c
828 lib/ftoastr.h
829 lib/getdtablesize.c
830 lib/getgroups.c
831 lib/getloadavg.c
832 lib/getopt.c
833 lib/getopt.in.h
834 lib/getopt1.c
835 lib/getopt_int.h
836 lib/gettext.h
837 lib/gettime.c
838 lib/gettimeofday.c
839 lib/group-member.c
840 lib/intprops.h
841 lib/inttypes.in.h
842 lib/lstat.c
843 lib/md5.c
844 lib/md5.h
845 lib/memrchr.c
846 lib/mkostemp.c
847 lib/mktime-internal.h
848 lib/mktime.c
849 lib/openat-priv.h
850 lib/openat-proc.c
851 lib/openat.h
852 lib/pathmax.h
853 lib/pipe2.c
854 lib/pselect.c
855 lib/pthread_sigmask.c
856 lib/putenv.c
857 lib/qcopy-acl.c
858 lib/qset-acl.c
859 lib/readlink.c
860 lib/readlinkat.c
861 lib/root-uid.h
862 lib/secure_getenv.c
863 lib/sha1.c
864 lib/sha1.h
865 lib/sha256.c
866 lib/sha256.h
867 lib/sha512.c
868 lib/sha512.h
869 lib/sig2str.c
870 lib/sig2str.h
871 lib/signal.in.h
872 lib/stat-time.c
873 lib/stat-time.h
874 lib/stat.c
875 lib/stdalign.in.h
876 lib/stdarg.in.h
877 lib/stdbool.in.h
878 lib/stddef.in.h
879 lib/stdint.in.h
880 lib/stdio.in.h
881 lib/stdlib.in.h
882 lib/strftime.c
883 lib/strftime.h
884 lib/string.in.h
885 lib/strtoimax.c
886 lib/strtol.c
887 lib/strtoll.c
888 lib/strtoul.c
889 lib/strtoull.c
890 lib/strtoumax.c
891 lib/symlink.c
892 lib/sys_select.in.h
893 lib/sys_stat.in.h
894 lib/sys_time.in.h
895 lib/tempname.c
896 lib/tempname.h
897 lib/time.in.h
898 lib/time_r.c
899 lib/timespec-add.c
900 lib/timespec-sub.c
901 lib/timespec.c
902 lib/timespec.h
903 lib/u64.c
904 lib/u64.h
905 lib/unistd.c
906 lib/unistd.in.h
907 lib/unsetenv.c
908 lib/utimens.c
909 lib/utimens.h
910 lib/verify.h
911 lib/xalloc-oversized.h
912 m4/00gnulib.m4
913 m4/acl.m4
914 m4/alloca.m4
915 m4/c-strtod.m4
916 m4/clock_time.m4
917 m4/close-stream.m4
918 m4/dirent_h.m4
919 m4/dup2.m4
920 m4/environ.m4
921 m4/errno_h.m4
922 m4/euidaccess.m4
923 m4/execinfo.m4
924 m4/extensions.m4
925 m4/extern-inline.m4
926 m4/faccessat.m4
927 m4/fcntl-o.m4
928 m4/fcntl.m4
929 m4/fcntl_h.m4
930 m4/fdatasync.m4
931 m4/fdopendir.m4
932 m4/filemode.m4
933 m4/fpending.m4
934 m4/fstatat.m4
935 m4/fsync.m4
936 m4/getdtablesize.m4
937 m4/getgroups.m4
938 m4/getloadavg.m4
939 m4/getopt.m4
940 m4/gettime.m4
941 m4/gettimeofday.m4
942 m4/gnulib-common.m4
943 m4/group-member.m4
944 m4/include_next.m4
945 m4/inttypes.m4
946 m4/largefile.m4
947 m4/longlong.m4
948 m4/lstat.m4
949 m4/manywarnings.m4
950 m4/md5.m4
951 m4/memrchr.m4
952 m4/mkostemp.m4
953 m4/mktime.m4
954 m4/multiarch.m4
955 m4/nocrash.m4
956 m4/off_t.m4
957 m4/pathmax.m4
958 m4/pipe2.m4
959 m4/pselect.m4
960 m4/pthread_sigmask.m4
961 m4/putenv.m4
962 m4/readlink.m4
963 m4/readlinkat.m4
964 m4/secure_getenv.m4
965 m4/setenv.m4
966 m4/sha1.m4
967 m4/sha256.m4
968 m4/sha512.m4
969 m4/sig2str.m4
970 m4/signal_h.m4
971 m4/socklen.m4
972 m4/ssize_t.m4
973 m4/st_dm_mode.m4
974 m4/stat-time.m4
975 m4/stat.m4
976 m4/stdalign.m4
977 m4/stdarg.m4
978 m4/stdbool.m4
979 m4/stddef_h.m4
980 m4/stdint.m4
981 m4/stdio_h.m4
982 m4/stdlib_h.m4
983 m4/strftime.m4
984 m4/string_h.m4
985 m4/strtoimax.m4
986 m4/strtoll.m4
987 m4/strtoull.m4
988 m4/strtoumax.m4
989 m4/symlink.m4
990 m4/sys_select_h.m4
991 m4/sys_socket_h.m4
992 m4/sys_stat_h.m4
993 m4/sys_time_h.m4
994 m4/tempname.m4
995 m4/time_h.m4
996 m4/time_r.m4
997 m4/timer_time.m4
998 m4/timespec.m4
999 m4/tm_gmtoff.m4
1000 m4/unistd_h.m4
1001 m4/utimbuf.m4
1002 m4/utimens.m4
1003 m4/utimes.m4
1004 m4/warn-on-use.m4
1005 m4/warnings.m4
1006 m4/wchar_t.m4
1007 ])